# CvFpgaKiTi

CVFPGAKITI_VERSION = 1899
#CVFPGAKITI_SITE = package/CvFpgaKiTi/src
#CVFPGAKITI_SITE_METHOD = local

CVFPGAKITI_SITE = https://cvsvn/svn/MainBoardLinuxGen5/trunk/target/modules/KM_CvFpgaKiTi
CVFPGAKITI_SITE_METHOD = svn
CVFPGAKITI_DL_OPTS = --username=AutoUser --password=ASU,i.e.fNB --non-interactive --trust-server-cert-failures=other,expired,not-yet-valid,cn-mismatch,unknown-ca

$(eval $(kernel-module))

define CVFPGAKITI_KERNEL_MODULES_BUILD
	$(LINUX_MAKE_ENV) $($(PKG)_MAKE) -C $(@D) $(LINUX_MAKE_FLAGS) PWD=$(@D) M=$(@D) prebuild;
	$(LINUX_MAKE_ENV) $($(PKG)_MAKE) -C $(LINUX_DIR) $(LINUX_MAKE_FLAGS) PWD=$(@D) M=$(@D) modules
endef

# define CVFPGAKITI_KERNEL_MODULES_INSTALL
# 	$(LINUX_MAKE_ENV) $($(PKG)_MAKE) -C $(LINUX_DIR) $(LINUX_MAKE_FLAGS) PWD=$(@D) M=$(@D) INSTALL_MOD_PATH=$(TARGET_DIR)/lib/modules/$(LINUX_VERSION_PROBED)/extra modules_install
# endef

define CVFPGAKITI_KERNEL_MODULES_INSTALL
	$(INSTALL) -d -m 755 $(TARGET_DIR)/lib/modules/$(LINUX_VERSION_PROBED)/extra
	$(INSTALL) -m 644 $(@D)/CvFpgaKiTi.ko $(TARGET_DIR)/lib/modules/$(LINUX_VERSION_PROBED)/extra
endef

$(eval $(generic-package))
